package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.MessageNoticePerson;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface MessageNoticePersonDAO {
	int insert(MessageNoticePerson entity);
	int update(MessageNoticePerson entity);
	int exist(String id);
	MessageNoticePerson get(String id);
	int delete(String id);
	MessageNoticePerson findByNIdAndPId(String noticeId, Long personId);
	List<MessageNoticePerson> list();
	List<MessageNoticePerson> search(Map<String, Object> searchParams, List<Sort> sortList);
}